<?php


include 'StemerByNikola.php';
     


function konvertujOznaku($res, $broj)
{
    if($broj>20)
    {
        $broj=($broj - ($broj%10))/10;
    }
    switch($broj)
    {
        case -1:$oznaka=1; break;//oznacen nemedicinski
        case 0: $oznaka=0; break;//neoznacen
        case 1:$oznaka=2;break; //oznacen medicinski
        case 2:$oznaka=2; break;
        case 3: $oznaka=2;break;
        case 4:$oznaka=2;break;
        case 5:$oznaka=2;break;
        case 6: $oznaka=1;break;
        case 7:$oznaka=1;break;
        case 8:$oznaka=2;break;
        case 9: $oznaka=1;break;
        case 10:$oznaka=1;break;
        case 11:$oznaka=2;break;
        case 12: $oznaka=1;break;
        case 13:$oznaka=2;break;
        case 14:$oznaka=1;break;
        case 15:$oznaka=1; break;
        case 16: $oznaka=1;break;
        case 17:$oznaka=1;break;
        case 18:$oznaka=2;break;
        case 20:$oznaka=2;break;
    }
    if($broj==19 && $res==0) $oznaka=2;
    if($broj==19 && $res==1) $oznaka=0;
    return $oznaka;
}

/*echo konvertujOznaku(0,19)."<br/>";
echo konvertujOznaku(1,19)."<br/>";
echo konvertujOznaku(0,8)."<br/>";*/

function select_resurs($res, $rec)
{
    //0-ampula //oznaka=4
    //1-latinska rec //oznaka=18
    //2-dijagnoza //oznaka=3
    //3-lek //oznaka=4
    //4-specijalista //oznaka=13
    //5-mesta u srbiji //oznaka=14
    //6-zdravstvena sluzba //oznaka=13
    //7-biohemija //oznaka=2
    //8 - stop rec //oznaka -1
     $conn = mysqli_connect("localhost","tagstudi_ukica","Ukica2019","tagstudi_ulfeta");
   if (!mysqli_connect_errno())
   {
        if(strlen($rec)>4)
       {
       $rec=stem_word($rec);
       }

    $oznaka=0;
switch ($res) {
    case "1":
        $sql = "SELECT naziv FROM stop_rec_dist2 where naziv  like '".$rec."%' limit 1";$rowrec="naziv";//$oznaka=-1;
        break;
    case "2":
        $sql = "SELECT oznaka FROM LatinskiResurs where rec  like '".$rec."%' limit 1";$rowrec="oznaka";//$oznaka=18;
        break;
    case "3":
        $sql = "SELECT oznaka FROM DijagnozaResurs where rec like '".$rec."%' limit 1";$rowrec="oznaka";//$oznaka=3;
        break;
        case "4":
        $sql = "SELECT oznaka FROM LekoviResurs where rec  like '".$rec."%' limit 1" ;$rowrec="oznaka";//$oznaka=4;
        break;
    case "5":
        $sql = "SELECT oznaka FROM SpecijalizacijeResurs where rec  like '".$rec."%' limit 1";$rowrec="oznaka";
        break;
    case "6":
        $sql = "SELECT Mesto FROM MestaUSrbiji where Mesto  like '".$rec."%' limit 1";$rowrec="Mesto";
        break;
         case "7":
        $sql = "SELECT oznaka FROM ZsluzbeResurs where rec  like '".$rec."%' limit 1";$rowrec="oznaka";//$oznaka=13;
        break;
    case "8":
        $sql = "SELECT oznaka FROM BiohemijaResurs where rec like '".$rec."%' limit 1";$rowrec="oznaka";//$oznaka=2;
        break;
    case "9":
                $sql = "SELECT oznaka FROM AmpulaResurs where rec like '".$rec."%' limit 1"; $rowrec="oznaka";//$oznaka=4;
        break;
          case "10":
        $sql = "SELECT oznaka FROM SimptomiResurs where rec like '".$rec."%' limit 1";$rowrec="oznaka";//$oznaka=-1;
        break;
        case "11":
        $sql = "SELECT oznaka FROM LicnaImenaResurs where rec like '".$rec."%' limit 1";$rowrec="oznaka";//$oznaka=-1;
        break;
    default:
        echo "NO SQL";
}
 $result = $conn->query($sql);  
  if ($result->num_rows > 0) {
   
    while($row = $result->fetch_assoc()) {
        
                if($res!=6 && $res!=1)
        {
      $oznaka=$row[$rowrec];
            }
            else
            {
               
                   $oznaka=14;
               
            }
                
           
        }
      
   //   echo $reci[$i]."<br>".$res;
   //   $i++;
    $o = konvertujOznaku(0, $oznaka);
    return $o;
  }
   else
      {
         // echo "Zero rows!";
          return 0;
      }
   }
  else
  {
      echo "Failed to connect to MySQL: " . mysqli_connect_error();
      return -100;
  }
   
}

function oznaci_anamneze_m0($id)
{
     $conn = mysqli_connect("localhost","tagstudi_aldina","aldina1234567","tagstudi_ehealth");
   if (!mysqli_connect_errno())
   {
      
  $sql = "SELECT id, anamneza FROM morbili_new2 where id>".$id." and id<2113";
  $result = $conn->query($sql);

if ($result->num_rows > 0) {

    while($row = $result->fetch_assoc()) {
         
      
       echo "<br/>Anamneza ".$row['id']."<br/>";
       
        $vrati1 = oznaci_m0($row['id'], $row['anamneza']);
        $sumaOznaceno+=$vrati1["oznaceno"];
        $sumaUkupno+=$vrati1["ukupno"];
        $sumaDobro+=$vrati1["dobro"];
    }
    $procenat=$sumaOznaceno/$sumaUkupno;
    $procenatD=$sumaDobro/$sumaOznaceno;
    echo "<br/>Oznacenih reci ".$sumaOznaceno."<br/>";
    echo "Ukupno reci ".$sumaUkupno."<br/>";
    echo "Procenat oznacenih ".$procenat."<br/>";
    echo "Procenat dobro oznacenih ".$procenatD."<br/>";
         echo "Broj dobro oznacenih ".$sumaDobro."<br/>";

  }
   }
  else
  {
      echo "Failed to connect to MySQL: " . mysqli_connect_error();
      
  }
   
}

function oznaka_uporedi($id, $rec)
{
    $conn = mysqli_connect("localhost","tagstudi_aldina","aldina1234567","tagstudi_ehealth");
   if (!mysqli_connect_errno())
   {
       
  $sql = "SELECT oznaka FROM oznaceno_morbili where id_anamneze=".$id." and rec like '".$rec."' limit 1";
  $result = $conn->query($sql);  
  if ($result->num_rows > 0) {
   
    while($row = $result->fetch_assoc()) {
      $oznaka=$row["oznaka"];
     
    } 
    $oz = konvertujOznaku(1, $oznaka);
    return $oz;
  }
   else
      {
          return 0;
      }}
  else
  {
      echo "Failed to connect to MySQL: " . mysqli_connect_error();
   return -100;   
  }
}

function oznaci_m0($id, $tekst)
{
$original = $tekst;
$string = trim(preg_replace('/\s\s+/', '-', $original));
$anamneza0 = str_replace(' ', '-', $string);
$anamneza6 = str_replace(',', '-', $anamneza0);
$anamneza7 = str_replace('.', '-', $anamneza6);
$string1=trim(preg_replace("/[^A-Za-z\-0-9]/", "", $anamneza7));
$anamneza5 = str_replace('-', ' ', $string1);
$string = trim(preg_replace('/\s\s+/', ' ', $anamneza5));
$reci = explode(" ",$string);
$i=0;$stvarna=0;
echo "<table border='1'><tr><th>Reč</th><th>Oznaka</th><th>Oznaka stvarna</th><th>Skraćenica</th><th>Tuđica</th></tr>"; $j=0;$k=0;
$conn = mysqli_connect("localhost","tagstudi_aldina","aldina1234567","tagstudi_ehealth");
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}
while($i<count($reci))
{
   // $dobro=false;
    $isn=is_numeric($reci[$i]);
    $oznake = oznaci_rec_na_osnovu_m0($reci[$i]);
    if($isn && $oznake["oznaka"]==0)
    {
        $oznake["oznaka"]=1; $oznake["skracenica"]=0; $oznake["tudjica"]=0;
    }
     $stvarna=oznaka_uporedi($id, $reci[$i]);
   //  echo $stvarna;
 //    $stO=konvertujOznaku(1,$stvarna);
    if ($oznake["oznaka"]!=0)
    {
        $j++;
    }
    if($oznake["oznaka"]==$stvarna && $stvarna!=0)
    { 
        $k++;
    
  /*  if(!$dobro)
    {*/
    echo "<tr style='background-color:LightGreen'><td>".$reci[$i]."</td><td>".$oznake["oznaka"]."</td><td>".$stvarna."</td><td>".$oznake["skracenica"]."</td><td>".$oznake["tudjica"]."</td></tr>";
   }
  /* else{
       echo "<tr style='background-color:Green'><td>".$reci[$i]."</td><td>".$oznake["oznaka"]."</td><td>".$stvarna."</td><td>".$oznake["skracenica"]."</td><td>".$oznake["tudjica"]."</td></tr>";
   }
    }*/
    else
    {
         echo "<tr><td>".$reci[$i]."</td><td>".$oznake["oznaka"]."</td><td>".$stvarna."</td><td>".$oznake["skracenica"]."</td><td>".$oznake["tudjica"]."</td></tr>";
    }
    
   
   //u bazu upis 
    $sql="INSERT INTO metoda_M0b (id_anamneze, rec, oznaka_M0b, oznaka_konvertovana) VALUES ('".$id."', '".$reci[$i]."', '".$oznake["oznaka"]."', '".$stvarna."')";
if ($conn->query($sql) === TRUE) {
    echo "Record updated successfully";
} else {
    echo "Error updating record: " . $conn->error;
}

$i++;

}
$m=($j/count($reci))*100;
echo "Oznaceno je ".$m."% reči.";
$n=($k/count($reci))*100;
echo "Dobro je oznaceno ".$n."% reči.";
$vrati["oznaceno"]=$j;
$vrati["dobro"]=$k;
$vrati["ukupno"]=count($reci);
$conn->close(); 
return $vrati;
}

function oznaci_rec_na_osnovu_m0($rec)
{
    $niz['oznaka']=0;$niz['skracenica']=0;$niz['tudjica']=0;
    for($i=1;$i<11;$i++)
    {
    if($niz['oznaka']==0)
    {
        $niz['oznaka']= select_resurs(strval($i),$rec);
        $niz['skracenica']=0;
         $niz['tudjica']=select_resurs("2",$rec);
    }
    else
    {
        $i=11;
    }
    }
      return $niz;
   
}


function update_oznake($id, $rec, $oznakaM0, $stvarna)
{
$conn = mysqli_connect("localhost","tagstudi_aldina","aldina1234567","tagstudi_ehealth");
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

//$sql = "UPDATE oznaceno_morbili_metode SET oznaka_M0='".$oznakaM0."' WHERE id_anamneze=".$id." and rec='".$rec."'";

//$sql="INSERT INTO oznaceno_metode2 (id_anamneze, rec, oznaka_M0, oznaka_konvertovana) VALUES ('".$id."', '".$rec."', '".$oznakaM0."', '".$stvarna."')";

if ($conn->query($sql) === TRUE) {
    echo "Record updated successfully";
} else {
    echo "Error updating record: " . $conn->error;
}

$conn->close(); 
}

oznaci_anamneze_m0(1408);
//echo konvertujOznaku(0, 8);
//echo select_resurs("0", "kakvome");

?>


